summaryrefslogtreecommitdiffstats
path: root/source/a/inih
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2020-12-17 23:02:41 +0000
committer Eric Hameleers <alien@slackware.com>2020-12-18 08:59:50 +0100
commit71f79f9766c0485019da578b58d526e8ccf07eb9 (patch)
tree0a63d481f77f4d900084bc65a054cf468d6da85e /source/a/inih
parenteae6d71c33a23e358e827cfd0e7e6fa5739c32be (diff)
downloadcurrent-71f79f9766c0485019da578b58d526e8ccf07eb9.tar.gz
current-71f79f9766c0485019da578b58d526e8ccf07eb9.tar.xz
Thu Dec 17 23:02:41 UTC 202020201217230241
a/inih-r52-x86_64-1.txz: Added. This is required by the latest xfsprogs. a/sysklogd-2.1.2-x86_64-2.txz: Rebuilt. rc.syslog: fix lack of <CR> after startup output. a/xfsprogs-5.10.0-x86_64-1.txz: Upgraded. ap/vim-8.2.2151-x86_64-1.txz: Upgraded. l/glib2-2.66.4-x86_64-1.txz: Upgraded. l/imagemagick-7.0.10_50-x86_64-1.txz: Upgraded. l/python-requests-2.25.1-x86_64-1.txz: Upgraded. l/qtkeychain-0.12.0-x86_64-1.txz: Upgraded. l/zstd-1.4.7-x86_64-1.txz: Upgraded. n/bind-9.16.10-x86_64-1.txz: Upgraded. x/libwacom-1.7-x86_64-1.txz: Upgraded. x/xorg-server-1.20.10-x86_64-2.txz: Rebuilt. Recompiled to find DRI modules in the new location. x/xorg-server-xephyr-1.20.10-x86_64-2.txz: Rebuilt. x/xorg-server-xnest-1.20.10-x86_64-2.txz: Rebuilt. x/xorg-server-xvfb-1.20.10-x86_64-2.txz: Rebuilt. x/xorg-server-xwayland-1.20.10-x86_64-2.txz: Rebuilt. xap/vim-gvim-8.2.2151-x86_64-1.txz: Upgraded. extra/pure-alsa-system/kde-runtime-4.14.3-x86_64-8_alsa.txz: Removed. I'm starting to learn towards removing all of these packages as there are ways to configure PulseAudio to get out of the way. See (for example) this article mentioned in a blog post by alienBOB: https://wiki.archlinux.org/index.php/PulseAudio/Examples#PulseAudio_as_a_minimal_unintrusive_dumb_pipe_to_ALSA
Diffstat (limited to 'source/a/inih')
-rwxr-xr-xsource/a/inih/inih.SlackBuild142
-rw-r--r--source/a/inih/inih.url1
-rw-r--r--source/a/inih/slack-desc19
3 files changed, 162 insertions, 0 deletions
diff --git a/source/a/inih/inih.SlackBuild b/source/a/inih/inih.SlackBuild
new file mode 100755
index 000000000..03f480cd4
--- /dev/null
+++ b/source/a/inih/inih.SlackBuild
@@ -0,0 +1,142 @@
+#!/bin/bash
+
+# Copyright 2020 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=inih
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$(uname -m)" in
+ i?86) ARCH=i586 ;;
+ arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$(uname -m) ;;
+ esac
+ export ARCH
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+NUMJOBS=${NUMJOBS:-" -j $(expr $(nproc) + 1) "}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O3 -march=armv7-a -mfpu=vfpv3-d16"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
+cd $PKGNAM-$VERSION || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \+
+
+# Configure, build, and install:
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+mkdir meson-build
+cd meson-build
+meson setup \
+ --prefix=/usr \
+ --libdir=lib${LIBDIRSUFFIX} \
+ --libexecdir=/usr/libexec \
+ --bindir=/usr/bin \
+ --sbindir=/usr/sbin \
+ --includedir=/usr/include \
+ --datadir=/usr/share \
+ --mandir=/usr/man \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --buildtype=release \
+ -Ddefault_library=shared \
+ -Ddistro_install=true \
+ .. || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
+cd ..
+
+# We don't support a /usr partition, but will still at least move the
+# library out of there since utilities in /sbin use it:
+mkdir $PKG/lib${LIBDIRSUFFIX}
+( cd $PKG/usr/lib${LIBDIRSUFFIX}
+ for file in lib*.so.? ; do
+ mv $file ../../lib${LIBDIRSUFFIX}
+ ln -sf ../../lib${LIBDIRSUFFIX}/$file .
+ done
+)
+
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Compress manual pages:
+find $PKG/usr/man -type f -exec gzip -9 {} \+
+for i in $( find $PKG/usr/man -type l ) ; do
+ ln -s $( readlink $i ).gz $i.gz
+ rm $i
+done
+
+# Add a documentation directory:
+mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
+cp -a \
+ COPYING* LICENSE* README* \
+ $PKG/usr/doc/${PKGNAM}-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/a/inih/inih.url b/source/a/inih/inih.url
new file mode 100644
index 000000000..b472277fa
--- /dev/null
+++ b/source/a/inih/inih.url
@@ -0,0 +1 @@
+https://github.com/benhoyt/inih
diff --git a/source/a/inih/slack-desc b/source/a/inih/slack-desc
new file mode 100644
index 000000000..24f2d8f4f
--- /dev/null
+++ b/source/a/inih/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+inih: inih (INI Not Invented Here)
+inih:
+inih: inih (INI Not Invented Here)** is a simple .INI file parser written in
+inih: C. It's only a couple of pages of code, and it was designed to be
+inih: small and simple, so it's good for embedded systems. It's also more or
+inih: less compatible with Python's ConfigParser style of .INI files,
+inih: including RFC 822-style multi-line syntax and `name: value` entries.
+inih:
+inih: Homepage: https://github.com/benhoyt/inih
+inih:
+inih: